%define pre 0
%if %pre
%define rel 0.%pre.1
%define fname %name-%version-%pre
%else 
%define rel 3
%define fname %name-%version
%endif
Summary: A gtk+ based diagram creation program
Name: dia
Version: 0.96.1
Release: %mkrel %rel
License: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%version/%{fname}.tar.bz2
Patch: dia-0.95-pre1-use-own-gtkrc.patch
#gw quick hack to find the gnome documentation
Patch1: dia-0.96-pre2-help.patch
#gw replace unknown quotation marks by UTF-8 characters
Patch2: dia-0.96-pre3-docs.patch
URL: http://www.gnome.org/projects/dia 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
BuildRequires:	pygtk2.0
BuildRequires:	python-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	png-devel
BuildRequires:	libxslt-devel
BuildRequires:	cairo-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	ImageMagick
BuildRequires:	autoconf2.5
BuildRequires:  PyXML
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
#gw if we run aclocal or autogen.sh
BuildRequires:	libtool intltool gnome-common
Requires:	pygtk2.0
#gw help viewer also for non-GNOME
Suggests:	yelp
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %fname
%patch -p1 -b .diagtkrc
%patch1 -p1 -b .help
%patch2 -p1 -b .fixdoc
# gw fix doctype
perl -pi -e "s^../../dtd/docbookx.dtd^http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd^" doc/*/dia.xml

# Let it find python libraries gracefully
perl -pi -e "s,/lib/(python),/%{_lib}/\1,g" configure

%build
%configure2_5x --enable-gnome --with-python --with-cairo

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

# fix en documentation directory name
rm -f %buildroot%_datadir/gnome/help/%name/C
mv %buildroot%_datadir/gnome/help/%name/en %buildroot%_datadir/gnome/help/%name/C

#fix icon and invalid version in bugzilla field
sed -i -e 's/@\(%{version}\)@/\1/g' -e 's/Icon=dia_gnome_icon.png/Icon=dia_gnome_icon/g' $RPM_BUILD_ROOT%{_datadir}/applications/dia.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/dia.desktop

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

convert -scale 16x16 dia_gnome_icon.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -scale 32x32 dia_gnome_icon.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
ln -s %_datadir/pixmaps/dia_gnome_icon.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#for i in $RPM_BUILD_ROOT%{_datadir}/dia/sheets/{ER,GRAFCET,Istar,KAOS,Jackson}/*.xpm ; do
# convert $i `dirname $i`/`basename $i .xpm`.png
#done

%{find_lang} %{name} --with-gnome

chmod 644 %buildroot%_libdir/%name/*.la

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/dia.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png




%changelog
* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.96.1-3mdv2008.1
+ Revision: 178720
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-2mdv2008.0
+ Revision: 80712
- Fix double menu entry (Mdv bug #33202)


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-1mdv2007.1
+ Revision: 150026
- Spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon Mar 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-1mdv2007.1
+ Revision: 148769
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre9.1mdv2007.1
+ Revision: 146339
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre8.1mdv2007.1
+ Revision: 145837
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre7.1mdv2007.1
+ Revision: 141324
- fix installation
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre6.1mdv2007.1
+ Revision: 133457
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre5.1mdv2007.1
+ Revision: 126086
- new version

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre4.1mdv2007.1
+ Revision: 116514
- new version
- fix broken XML in the English help

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre3.1mdv2007.1
+ Revision: 112039
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre2.1mdv2007.1
+ Revision: 111411
- new version
- update patch 1
- drop patch 2
- fix installation

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.96-0.pre1.1mdv2007.1
+ Revision: 96825
- fix buildrequires
- depend on yelp
- new version
- rediff patch 1
- replace patch 2 with a perl one liner
- drop patch 3
- fix makefile to add missing defines
- manually install documentation

* Sat Dec 02 2006 Götz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
+ Revision: 90035
- Import dia

* Sat Dec 02 2006 Gtz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
- unpack patches

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.95-5mdv2006.0
- Rebuild with latest dbus

* Fri Jul 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.95-4
- add BuildRequires: desktop-file-utils

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdv2007.0
- XDG menu
- Use macro for mimetypes

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-2mdv2007.0
- update patch 2
- upgrade to 0.95-1

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.95-1mdk
- drop patch 2
- new version

* Thu Apr 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre9.1mdk
- update patch 2
- new version

* Wed Apr 05 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre8.1mdk
- update patch 2
- new version

* Wed Mar 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre7.1mdk
- update patch 2
- new version

* Wed Mar 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre6.1mdk
- update patch 2
- new snapshot

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.2mdk
- fix installation

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.1mdk
- update patch 2
- new version

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre4.1mdk
- update patch 2
- new version

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre3.1mdk
- rediff patch 2
- new version

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre2.1mdk
- rediff patch 2
- new version

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre1.1mdk
- patch 3 to add missing file
- drop patches 3,4
- rediff patches 0,1,2
- new version

* Fri Nov 25 2005 Christiaan Welvaart <cjW@daneel.dyndns.org> 0.94-9mdk
- add BuildRequires: libxslt-proc scrollkeeper docbook-style-xsl

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.94-8mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94-7mdk
Fix BuildRequires

* Mon Sep 19 2005 Gtz Waschk <waschk@mandriva.org> 0.94-6mdk
- fix the man page format

* Sat Aug 13 2005 Gtz Waschk <waschk@mandriva.org> 0.94-5mdk
- patches for gcc4 and new cairo
- rebuild for new cairo

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-4mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.94-3mdk
- Rebuild for new python

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- fix buildrequires

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-1mdk
- rediff patch 2
- new version

* Mon Aug 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre6.1mdk
- rediff patch 2
- new version

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre5.1mdk
- rediff patch 2
- new version

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre4.1mdk
- rediff patch 2
- new version

* Sat Jul 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-0.pre3.2mdk
- Patch1: fix DTD location in help file
- Add png version of ER,GRAFCET,Istar,KAOS,Jackson symbols
- Remove hard dependencies on ISO fonts, it pulls X server

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre3.1mdk
- new version

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre2.1mdk
- new version

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre1.1mdk
- fix help menu entry
- convert icons with imagemagick
- drop yelp stuff
- enable cairo
- rediff patch 0
- new version

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- reenable libtoolize
- fix accellerator key setting (bug #10123)

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.93-2mdk
- URL fixed (http://www.gnome.org/projects/dia)

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- New release 0.93

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre3.1mdk
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.2mdk
- fix help files conflict

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.1mdk
- fix gnome help file listing
- new version

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre1.1mdk
- drop all patches
- new version

